%define major                   1
%define libname                 %mklibname %{name} %{major}
%define libnamedev              %mklibname %{name} -d
%define oldlibnamestaticdev     %mklibname %{name} -d -s

Name:           fluidsynth
Version:        1.1.5
Release:        %mkrel 4
Summary:        Realtime, SoundFont-based synthesizer
License:        LGPLv2+
Group:          Sound/Midi
URL:            http://www.fluidsynth.org/
Source0:        http://sourceforge.net/projects/fluidsynth/files/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		fluidsynth-1.1.5-prefix.patch
BuildRequires:  cmake
BuildRequires:  chrpath
BuildRequires:  ladspa-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  jackit-devel
BuildRequires:  libalsa-devel
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  pulseaudio-devel
BuildRequires:  portaudio-devel
BuildRequires:  libreadline-devel
BuildRequires:  libsndfile-devel

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device. It
can also play MIDI files.

%package -n %{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{libnamedev}
Summary:         Header files and libraries from %{name}
Group:           Development/C
Requires:        %{libname} = %{version}-%{release}
Provides:        lib%{name}-devel = %{version}-%{release}
Provides:        %{name}-devel = %{version}-%{release}
Obsoletes:       %{name}-devel < %{version}-%{release}
Obsoletes:       %mklibname -d %name 1
Obsoletes:       %{oldlibnamestaticdev} < 1.1.2

%description -n %{libnamedev}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p0

%build
%cmake -DLIB_SUFFIX='' \
       -Denable-ladspa=1 \
       -Denable-lash=0
%make

%install
%makeinstall_std -C build
%{_bindir}/chrpath -d %{buildroot}%{_libdir}/libfluidsynth.so.*.*.*

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1.5-4.mga3
+ Revision: 350581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shikamaru <shikamaru> 1.1.5-3.mga3
+ Revision: 322704
- bump rel and fix RPM Group

* Thu Dec 29 2011 fwang <fwang> 1.1.5-2.mga2
+ Revision: 188544
- fix libdir and includedir prefix in .pc file

* Wed Sep 28 2011 emuse <emuse> 1.1.5-1.mga2
+ Revision: 150088
- sync sources to 1.1.5
- new version 1.1.5
  o Obsolete iiwusynth Provides removed

* Fri Sep 09 2011 tv <tv> 1.1.4-1.mga2
+ Revision: 141785
- new release

* Tue Jan 25 2011 ahmad <ahmad> 1.1.3-2.mga1
+ Revision: 39515
- imported package fluidsynth

